# Coredb::Application::Devopstools

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/coredb/application/devopstools`. To experiment with that code, run `bin/console` for an interactive prompt.

TODO: Delete this and the text above, and describe your gem

## Installation

Install it yourself as:

    gem install rdf-reasoner -v 0.4.1
    gem install specific_install
    gem specific_install -l ssh://git@git.geophy.com:9922/coredb/coredb-application-devopstools.git


## Usage
Before running the command you need to set the environment variable below:

    export DEVOPS_REGISTER=http://admin:admin@stardog5.internal.geophy.com:5820/devops/query/

Then run:

    devopstools setup tardis


It will output something like this

    #!/bin/bash --login
    export SPARQL_ENDPOINT=http://stardog.internal.geophy.com:5820/
    export SPARQL_ENDPOINT_USERNAME=admin
    export SPARQL_ENDPOINT_PASSWORD=admin
    export SOLR_ADMIN_ENDPOINT=http://solr-1.internal.geophy.com:8983/solr/
    export SOLR_CONF_PATH=/data/coredb-orchestrators/orchestrator-location/resources/spatial-resources/polygons/conf/
    export HEARTBEAT_SERVER=192.168.54.248
    export HEARTBEAT_PORT=33331
    export KAFKA_BOOTSTRAP_SERVERS=coredb-queue-1.internal.geophy.com:9092,coredb-queue-2.internal.geophy.com:9092,coredb-queue-3.internal.geophy.com:9092
    export KAFKA_ZOOKEEPER_CONNECT=coredb-queue-1.internal.geophy.com:2181,coredb-queue-2.internal.geophy.com:2181,coredb-queue-3.internal.geophy.com:2181
    export ELASTICSEARCH_HOST=search-service-1.internal.geophy.com

If you get the error below:

    /usr/local/rvm/gems/ruby-2.3.0/gems/sparql-client-2.1.0/lib/sparql/client.rb:349:in `block in response':  Processing query select ?envs where {?s <http://geophy.io/ontologies/devops#environment_name> ?envs .} (SPARQL::Client::ClientError)
    	from /usr/local/rvm/gems/ruby-2.3.0/gems/sparql-client-2.1.0/lib/sparql/client.rb:696:in `block in request'
    	from /usr/local/rvm/gems/ruby-2.3.0/gems/sparql-client-2.1.0/lib/sparql/client.rb:692:in `times'
    	from /usr/local/rvm/gems/ruby-2.3.0/gems/sparql-client-2.1.0/lib/sparql/client.rb:692:in `request'
    	from /usr/local/rvm/gems/ruby-2.3.0/gems/sparql-client-2.1.0/lib/sparql/client.rb:344:in `response'
    	from /usr/local/rvm/gems/ruby-2.3.0/gems/sparql-client-2.1.0/lib/sparql/client.rb:305:in `query'
    	from /usr/local/rvm/gems/ruby-2.3.0/gems/coredb-application-devopstools-0.1.0/lib/coredb/application/devopstools/cli.rb:21:in `list_query'
    	from /usr/local/rvm/gems/ruby-2.3.0/gems/coredb-application-devopstools-0.1.0/lib/coredb/application/devopstools/cli.rb:65:in `list'
    	from /usr/local/rvm/gems/ruby-2.3.0/gems/thor-0.19.4/lib/thor/command.rb:27:in `run'
    	from /usr/local/rvm/gems/ruby-2.3.0/gems/thor-0.19.4/lib/thor/invocation.rb:126:in `invoke_command'
    	from /usr/local/rvm/gems/ruby-2.3.0/gems/thor-0.19.4/lib/thor.rb:369:in `dispatch'
    	from /usr/local/rvm/gems/ruby-2.3.0/gems/thor-0.19.4/lib/thor/base.rb:444:in `start'
    	from /usr/local/rvm/gems/ruby-2.3.0/gems/coredb-application-devopstools-0.1.0/bin/devopstools:13:in `<top (required)>'
    	from /usr/local/rvm/gems/ruby-2.3.0/bin/devopstools:23:in `load'
    	from /usr/local/rvm/gems/ruby-2.3.0/bin/devopstools:23:in `<main>'
    	from /usr/local/rvm/gems/ruby-2.3.0/bin/ruby_executable_hooks:15:in `eval'
    	from /usr/local/rvm/gems/ruby-2.3.0/bin/ruby_executable_hooks:15:in `<main>'

Then you forgot the set the user password in the endpoint url.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/coredb-application-devopstools. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Coredb::Application::Devopstools project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/coredb-application-devopstools/blob/master/CODE_OF_CONDUCT.md).
